Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.cics.server
Class Cursor

    java.lang.Object
      |
      +--com.ibm.cics.server.Cursor

public class Cursor
extends java.lang.Object

This class represents the cursor on a 3270 terminal.

Notably, it presents a set of methods for manipulating a cursor object that is passed to the various Terminal related methods to set the cursor location.

Whilst the cursor class is an abstract representation, it should be noted that the row and column as defined by this class a '1' based values.

Constructor Summary
`Cursor(int width, int height)` Construct a cursor object for a given sized display,
`Cursor(int width, int height, int column, int row)` Construct a cursor object for a given sized display, specifying the cursor position.

Method Summary
`void` | `decrement()` Decrement the cursor position.
`void` | `decrement(int num)` Decrement the cursor position by num character locations.
`void` | `increment()` Increment the cursor position
`void` | `increment(int num)` Increment the cursor position by num character locations.
`void` | `incrementRow()` Move the cursor down 1 row.
`void` | `setColumn(int column)` Set the specific column for the cursor.
`void` | `setRow(int row)` Set the specific row for the cursor.
`int` | `toBinary()` Get a binary representation of the cursor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cursor

    public Cursor(int width,
                  int height)

  Construct a cursor object for a given sized display,
  Parameters:
    `width` - The number of columns of the display. (Typically 80 for a model 2 terminal)
    `height` - The number of rows of the display. (Typically 24 for a model 2 terminal)

### Cursor

    public Cursor(int width,
                  int height,
                  int column,
                  int row)

  Construct a cursor object for a given sized display, specifying the cursor position.
  Parameters:
    `width` - The number of columns of the display. (Typically 80 for a model 2 terminal)
    `height` - The number of rows of the display. (Typically 24 for a model 2 terminal)
    `column` - The column position for the cursor.
    `row` - The row position for the cursor.

Method Detail

### increment

    public void increment()

  Increment the cursor position

### increment

    public void increment(int num)

  Increment the cursor position by num character locations.
  Parameters:
    `num` - The number of character locations by which to increment the cursor. If num is negative, the cursor is decremented.

### incrementRow

    public void incrementRow()

  Move the cursor down 1 row.

### decrement

    public void decrement()

  Decrement the cursor position.

### decrement

    public void decrement(int num)

  Decrement the cursor position by num character locations.
  Parameters:
    `num` - The number of character locations by which to decrement the cursor. If num is negative, the cursor is incremented.

### setColumn

    public void setColumn(int column)

  Set the specific column for the cursor.
  Parameters:
    `column` - The new column.

### setRow

    public void setRow(int row)

  Set the specific row for the cursor.
  Parameters:
    `row` - The new row.

### toBinary

    public int toBinary()

  Get a binary representation of the cursor. This is, in fact, the zero based offest within the confines of the screen.
  Returns:
    A binary repesentation of this cursor

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002 by Sun Microsystems, Inc.